Updates subscription settings replacing the sensorIds, assetIds, unitIds and status parameters.

Updates the provided subscription settings replacing sensorIds, assetIds, unitIds, and status. Status can have the value the suspend or resume.

📘

The rate limit for this API is small.

Path Params
uuid
required

Represents ID of the subscription to be updated.

Body Params

Request dto for subscription patch endpoint.

sensorIds
array of strings

Represents a list of sensors to be included in the subscription.

sensorIds
assetIds
array of strings | null

Represents a list of assetIds to filter. If provided, only the sensors specified in "sensorIds" for the specified assets is provided by the feed endpoint.

assetIds
unitIds
array of strings | null

Represents a list of unitIds to filter. If provided, only the sensors specified in "sensorIds" collected for specified communication units is provided by the feed endpoint.

unitIds
enum

Subscription status to be updated. "suspend" or "resume" are the only options.

Responses
200

Success code. Updates the subscription for the provided subscriptionID.

Language
Credentials
http
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json